Project

General

Profile

Todo #4750

Upgrade to strongswan 5.3.2 for pfsense 2.2.3

Added by Florian Apolloner almost 4 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
High
Category:
-
Target version:
Start date:
06/08/2015
Due date:
% Done:

0%

Estimated time:

Description

Strongswan 5.3.2 fixes a CVE and the reqid assignment, so an upgrade would be nice for 2.2.3.

History

#1 Updated by Chris Buechler almost 4 years ago

  • Tracker changed from Feature to Todo
  • Status changed from New to Assigned
  • Assignee set to Renato Botelho
  • Priority changed from Normal to High
  • Target version set to 2.2.3

#2 Updated by Chris Buechler almost 4 years ago

Florian: what reqid fix are you referring to? I don't see anything in the change log for 5.3.1 or 5.3.2 that's related. It appears the issues we had there with conflicting reqids were resolved by letting strongswan manage its own reqids. We need to upgrade regardless, but I'm curious if there was something that isn't listed in the change logs. Thanks!

#3 Updated by Florian Apolloner almost 4 years ago

I think they fixed some edge cases with manual reqid as you had in 2.2.1/2: https://wiki.strongswan.org/issues/976

#4 Updated by Renato Botelho almost 4 years ago

  • Status changed from Assigned to Feedback

Updated on tools, will be available on next snapshots

#5 Updated by Chris Buechler almost 4 years ago

  • Status changed from Feedback to Resolved

done

Also available in: Atom PDF